Add Row(s)
curl --request POST \
--url https://api.sheetninja.io/{endpointNamespace}/{projectName}/{tabSlug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.sheetninja.io/{endpointNamespace}/{projectName}/{tabSlug}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.sheetninja.io/{endpointNamespace}/{projectName}/{tabSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"added": 123,
"warning": "<string>",
"ignored_keys": [
"<string>"
]
}{
"error": "not_found",
"message": "<string>",
"data": {}
}{
"error": "not_found",
"message": "<string>",
"data": {}
}{
"error": "not_found",
"message": "<string>",
"data": {}
}{
"error": "not_found",
"message": "<string>",
"data": {}
}{
"error": "not_found",
"message": "<string>",
"data": {}
}{
"error": "not_found",
"message": "<string>",
"data": {}
}{
"error": "not_found",
"message": "<string>",
"data": {}
}Endpoint examples
Add Row
Appends one or more rows to the bottom of the worksheet. Supports both a single object or an array of objects for bulk addition.
POST
/
{endpointNamespace}
/
{projectName}
/
{tabSlug}
Add Row(s)
Authorizations
The Bearer Token associated with your endpoint. This is only required if you have enabled protection for this endpoint.
Path Parameters
Your unique user namespace (e.g., c01c052...)
The slugified name of your project
The slugified name of the specific worksheet (tab)
Body
application/json
- object
- object[]
A single row object representing the columns in your sheet
Was this page helpful?
